%define		kdeframever	5.24
%define		qtver		5.3.2
%define		kfname		kdesu

Summary:	User interface for running shell commands with root privileges
Name:		kf5-%{kfname}
Version:	5.24.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	dd013eda166bd391366b3bed27d6ecee
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kpty-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KDESU provides functionality for building GUI front ends for (password
asking) console mode programs. For example, kdesu and kdessh use it to
interface with su and ssh respectively.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%find_lang %{kfname}5 --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/kf5/kdesu_stub
%attr(755,root,root) %{_libdir}/kf5/kdesud
%attr(755,root,root) %ghost %{_libdir}/libKF5Su.so.5
%attr(755,root,root) %{_libdir}/libKF5Su.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KDESu
%{_includedir}/KF5/kdesu_version.h
%{_libdir}/cmake/KF5Su
%attr(755,root,root) %{_libdir}/libKF5Su.so
%{qt5dir}/mkspecs/modules/qt_KDESu.pri
%changelog
* Tue Jul 12 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kdesu.git;a=log;h=auto/th/kf5-kdesu-5.24.0-1

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 45ddefd
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> b9c19b3
- updated to 5.23

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> f790b87
- updated to 5.19.0

* Sat Sep 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e9b6d49
- find_lang with kde

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b78dd4e
- up to 5.13.0

* Sat May 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e962f68
- rel 1

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1de314c
- up to 5.10.0

* Tue Dec 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f56d568
- up to 5.4.0

* Thu Jul 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 755c0bb
- new

